use crate::models::RpgCharacter;
use chrono::prelude::*;

pub const RPG_CHARACTER: [u8; 488] = [
    // id
    10, 0, 0, 0, // user_id
    13, 0, 0, 0, // name
    15, 0, 0, 0, 69, 0, 0, 0, 120, 0, 0, 0, 97, 0, 0, 0, 109, 0, 0, 0, 112, 0, 0, 0, 108, 0, 0, 0,
    101, 0, 0, 0, 32, 0, 0, 0, 115, 0, 0, 0, 101, 0, 0, 0, 115, 0, 0, 0, 115, 0, 0, 0, 105, 0, 0,
    0, 111, 0, 0, 0, 110, 0, 0, 0, // image_url
    32, 0, 0, 0, 104, 0, 0, 0, 116, 0, 0, 0, 116, 0, 0, 0, 112, 0, 0, 0, 115, 0, 0, 0, 58, 0, 0, 0,
    47, 0, 0, 0, 47, 0, 0, 0, 105, 0, 0, 0, 109, 0, 0, 0, 103, 0, 0, 0, 46, 0, 0, 0, 101, 0, 0, 0,
    120, 0, 0, 0, 97, 0, 0, 0, 109, 0, 0, 0, 112, 0, 0, 0, 108, 0, 0, 0, 101, 0, 0, 0, 46, 0, 0, 0,
    99, 0, 0, 0, 111, 0, 0, 0, 109, 0, 0, 0, 47, 0, 0, 0, 115, 0, 0, 0, 111, 0, 0, 0, 109, 0, 0, 0,
    101, 0, 0, 0, 46, 0, 0, 0, 112, 0, 0, 0, 110, 0, 0, 0, 103, 0, 0, 0, // statistics
    2, 0, 0, 0, // len
    13, 0, 0, 0, 83, 0, 0, 0, 116, 0, 0, 0, 114, 0, 0, 0, 101, 0, 0, 0, 110, 0, 0, 0, 103, 0, 0, 0,
    116, 0, 0, 0, 104, 0, 0, 0, 58, 0, 0, 0, 32, 0, 0, 0, 49, 0, 0, 0, 50, 0, 0, 0, 51, 0, 0, 0,
    11, 0, 0, 0, 65, 0, 0, 0, 103, 0, 0, 0, 105, 0, 0, 0, 108, 0, 0, 0, 105, 0, 0, 0, 116, 0, 0, 0,
    121, 0, 0, 0, 58, 0, 0, 0, 32, 0, 0, 0, 57, 0, 0, 0, 55, 0, 0, 0, // stat_type
    3, 0, 0, 0, 68, 0, 0, 0, 38, 0, 0, 0, 68, 0, 0, 0, // created at
    19, 0, 0, 0, // len
    50, 0, 0, 0, // year
    48, 0, 0, 0, // year
    49, 0, 0, 0, // year
    56, 0, 0, 0, // year
    45, 0, 0, 0, // -
    49, 0, 0, 0, // month
    48, 0, 0, 0, // month
    45, 0, 0, 0, // -
    48, 0, 0, 0, // day
    53, 0, 0, 0, // day
    32, 0, 0, 0, // ' '
    48, 0, 0, 0, // hour
    55, 0, 0, 0, // hour
    58, 0, 0, 0, // :
    51, 0, 0, 0, // minutes
    50, 0, 0, 0, // minutes
    58, 0, 0, 0, // :
    50, 0, 0, 0, // seconds
    49, 0, 0, 0, // seconds
    // updated at
    19, 0, 0, 0, // len
    50, 0, 0, 0, // year
    48, 0, 0, 0, // year
    49, 0, 0, 0, // year
    56, 0, 0, 0, // year
    45, 0, 0, 0, // -
    49, 0, 0, 0, // month
    48, 0, 0, 0, // month
    45, 0, 0, 0, // -
    48, 0, 0, 0, // day
    55, 0, 0, 0, // day
    32, 0, 0, 0, // ' '
    48, 0, 0, 0, // hour
    55, 0, 0, 0, // hour
    58, 0, 0, 0, // :
    51, 0, 0, 0, // minutes
    50, 0, 0, 0, // minutes
    58, 0, 0, 0, // :
    50, 0, 0, 0, // seconds
    49, 0, 0, 0, // seconds
];

pub fn get_rpg_character() -> RpgCharacter {
    let created_at =
        NaiveDateTime::parse_from_str("2018-10-05 7:32:21", "%Y-%m-%d %H:%M:%S").unwrap();
    let updated_at =
        NaiveDateTime::parse_from_str("2018-10-07 7:32:21", "%Y-%m-%d %H:%M:%S").unwrap();
    let name = "Example session".to_string();
    let image_url = "https://img.example.com/some.png".to_string();
    let id = 10;
    let user_id = 13;
    let statistics: Vec<String> = vec!["Strength: 123".to_string(), "Agility: 97".to_string()];
    let stat_type = "D&D".to_string();

    RpgCharacter {
        id,
        user_id,
        name,
        image_url,
        statistics,
        stat_type,
        created_at,
        updated_at,
    }
}
